Adds an aligned dimension object to the document. An aligned dimension is a linear dimension lined up with two points.
Rhino.AddAlignedDimension (arrPlane, arrOrigin, arrOffset, arrPoint[, strStyle])
arrPlane |
Required. Array. The plane on which the dimension will lie. |
arrOrigin |
Required. Array. The origin, or first, point of the dimension. |
arrOffset |
Required. Array. The offset, or second, point of the dimension. |
arrPoint |
Required. Array. The location point of the dimension line. |
strStyle |
Optional. String. The name of the dimension style. If omitted, the current dimension style is used. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrPlane, arrOrigin, arrOffset, arrPoint
arrPlane = Rhino.ViewCPlane
arrOrigin = Array( 1, 1, 0 )
arrOffset = Array( 11, 1, 0 )
arrPoint = Array( 1, 3, 0 )
Rhino.AddAlignedDimension arrPlane, arrOrigin, arrOffset, arrPoint